# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "evcxr"
version = "0.8.0"
authors = ["The Evcxr Authors"]
description = "An Evaluation Context for Rust"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/google/evcxr"
[dependencies.anyhow]
version = "1.0.33"

[dependencies.backtrace]
version = "0.3.35"

[dependencies.dirs]
version = "3.0.1"

[dependencies.evcxr_input]
version = "1.0.0"

[dependencies.json]
version = "0.12.4"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.libc]
version = "0.2.80"

[dependencies.libloading]
version = "0.5.2"

[dependencies.ra_ap_base_db]
version = "=0.0.30"

[dependencies.ra_ap_hir]
version = "=0.0.30"

[dependencies.ra_ap_ide]
version = "=0.0.30"

[dependencies.ra_ap_paths]
version = "=0.0.30"

[dependencies.ra_ap_project_model]
version = "=0.0.30"

[dependencies.ra_ap_syntax]
version = "=0.0.30"

[dependencies.ra_ap_vfs]
version = "=0.0.30"

[dependencies.ra_ap_vfs-notify]
version = "=0.0.30"

[dependencies.regex]
version = "1.3.1"
features = ["std"]
default-features = false

[dependencies.tempfile]
version = "3.1.0"

[dependencies.unicode-segmentation]
version = "1.7.1"

[dependencies.which]
version = "4.0.2"
[target."cfg(all(unix, not(target_os = \"freebsd\")))".dependencies.sig]
version = "1.0.0"
[target."cfg(target_os = \"macos\")".dependencies.filetime]
version = "0.2.13"
